# PETSC_VIEWER_MATLAB_

Creates a Matlab PetscViewer shared by all processors in a communicator.

### Synopsis

    PetscViewer PETSC_DLLEXPORT PETSC_VIEWER_MATLAB_(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameter

comm -the MPI communicator to share the Matlab PetscViewer

### Options Database Keys

       -viewer_matlab_filename <name>

### Environmental variables

PETSC_VIEWER_MATLAB_FILENAME - Notes: Unlike almost all other PETSc routines, PETSC_VIEWER_MATLAB_ does not return an error code. The matlab PetscViewer is usually used in the form

          XXXView(XXX object,PETSC_VIEWER_MATLAB_(comm));

### See Also

PETSC_VIEWER_MATLAB_WORLD, PETSC_VIEWER_MATLAB_SELF, PetscViewerMatlabOpen(), PetscViewerCreate(),
PetscViewerDestroy()

Level:intermediate
Location: src/sys/viewer/impls/matlab/vmatlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages